- Legion API
- Entities
- Update entity
Update entity
PUT
/v3/entities/{entityId}
const url = 'https://us-gov.legion.picogrid.com/v3/entities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"affiliation":"NEUTRAL","category":"SENSOR","metadata":{"accuracy":"±0.5°C, ±3%RH","interface":"I2C","power":"3.3V","range":"-40°C to 80°C","sensor_type":"environmental"},"name":"Thermal Imaging Camera","parent_id":"a1b2c3d4-e5f6-7890-1234-567890abcdef","status":"operational","type":"PTZ Camera"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://us-gov.legion.picogrid.com/v3/entities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "affiliation": "NEUTRAL", "category": "SENSOR", "metadata": { "accuracy": "±0.5°C, ±3%RH", "interface": "I2C", "power": "3.3V", "range": "-40°C to 80°C", "sensor_type": "environmental" }, "name": "Thermal Imaging Camera", "parent_id": "a1b2c3d4-e5f6-7890-1234-567890abcdef", "status": "operational", "type": "PTZ Camera" }'Updates an entity’s information.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”entityId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
affiliation
string
category
string
metadata
object
name
string
parent_id
string format: uuid
status
string
type
string
Example
{ "affiliation": "NEUTRAL", "category": "SENSOR", "metadata": { "accuracy": "±0.5°C, ±3%RH", "interface": "I2C", "power": "3.3V", "range": "-40°C to 80°C", "sensor_type": "environmental" }, "name": "Thermal Imaging Camera", "parent_id": "a1b2c3d4-e5f6-7890-1234-567890abcdef", "status": "operational", "type": "PTZ Camera"}Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
affiliation
required
string
category
required
string
created_at
required
string
deleted_at
string
id
required
string format: uuid
metadata
object
name
required
string
organization_id
required
string format: uuid
parent_id
string format: uuid
status
required
string
type
required
string
updated_at
required
string
Example
{ "affiliation": "FRIEND", "category": "DEVICE", "created_at": "2023-12-15T14:30:00Z", "id": "123e4567-e89b-12d3-a456-426614174000", "metadata": { "manufacturer": "General Atomics", "model": "MQ-9" }, "name": "MQ-9 Reaper", "organization_id": "550e8400-e29b-41d4-a716-446655440000", "parent_id": "456e8400-e29b-41d4-a716-446655440000", "status": "ACTIVE", "type": "DRONE", "updated_at": "2023-12-15T14:30:00Z"}Bad Request
Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{ "code": "400", "details": "sample_value", "message": "Request cannot be processed due to invalid input", "status": "error", "timestamp": "2025-01-15T14:32:45Z", "trace_id": "req_2J9K8L7M6N5P4Q3R"}Unauthorized
Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{ "code": "401", "details": "sample_value", "message": "Authentication credentials are missing or invalid", "status": "error", "timestamp": "2025-01-15T14:32:45Z", "trace_id": "req_2J9K8L7M6N5P4Q3R"}Forbidden
Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{ "code": "403", "details": "sample_value", "message": "Access denied: insufficient permissions for this resource", "status": "error", "timestamp": "2025-01-15T14:32:45Z", "trace_id": "req_2J9K8L7M6N5P4Q3R"}Not Found
Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{ "code": "404", "details": "sample_value", "message": "The requested resource could not be found", "status": "error", "timestamp": "2025-01-15T14:32:45Z", "trace_id": "req_2J9K8L7M6N5P4Q3R"}Internal Server Error
Media typeapplication/json
object
category
required
The category of the error
string
code
required
The HTTP status code
number
details
required
Additional details about the error
Array<object>
object
field
The field that caused the error
string
issue
The specific issue with the field
string
message
required
A human-readable error message
string
status
required
The status of the response, always ‘error’ for error responses
string
timestamp
required
The timestamp when the error occurred
string format: date-time
trace_id
required
A unique identifier for tracing the error
string format: uuid
Example
{ "category": "server_error", "code": "500", "details": [ { "field": "field_name", "issue": "Field validation issue" } ], "message": "Internal Server Error", "status": "error", "timestamp": "2024-03-15T10:30:00Z", "trace_id": "b7c5e4d3-a2b1-4f0e-8d9c-1a2b3c4d5e6f"}Version 3.0.0 · commit 0771262
